Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000777Core InformPhrases and functional programmingpublic2011-10-12 22:422014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000777: Code 10 from Inform 6 when defining to-phrase with a double-quote as a slashed synonym
DescriptionHappens with or without the " -- running on" appellation.
Minimal Source Text To Reproduce
"dquote" by Ron Newcomb


To say quote/": (- print "~"; -).

There is room. 
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0001407)
graham (administrator)
2011-10-17 11:32

Tricking the lexer into doing your evil bidding, I see.

Fixed, anyway. Inform was crashing while trying to issue a problem message.

- Issue History
Date Modified Username Field Change
2011-10-12 22:42 Ron Newcomb New Issue
2011-10-17 11:32 graham Note Added: 0001407
2011-10-17 11:32 graham Status new => resolved
2011-10-17 11:32 graham Resolution open => fixed
2011-10-17 11:32 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker